I found out I'm running of the mobility datasynchronizer. I'd like to update to 1.2.5. Can I go straight to this version? When I try to install using Yast through PatchCD, local iso and point to the 1.2.5. iso I download it seems to hang. One time I got it to go past this point but then it is told me the file selected does not seem to be an iso image do I want to proceed anyway? Am I doing something wrong in the update process?